=== debian/changelog ===
simutrans (120.1.3+repack-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * Remove upstream applied 0510-missing_uncommon_mk.patch.
  * Refresh patches.
  * debian/rules:
    - Add -lssl -lcrypto to LDFLAGS to prevent build error.
  * Update translations.
  * Update debian/patches/0005-typo.patch.
  * debian/watch: Bump version to 4 (no changes required).
  * debian/copyright: Add year 2016.

  [ Markus Koschany ]
  * Vcs-Git: Use https.
  * Declare compliance with Debian Policy 3.9.7.
  * Remove repack.sh and use Files-Excluded mechanism instead.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 08 Feb 2016 00:10:30 +0100
