=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,repacksuffix=+repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/simutrans/simutrans-src-(.*)\.zip
