## simutrans 120.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 CFG ?= default
 -include config.$(CFG)
-
 
 BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl posix
 COLOUR_DEPTHS = 0 16
@@ -20,7 +19,7 @@
 
 ifeq ($(OSTYPE),amiga)
   STD_LIBS ?= -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
-  CFLAGS += -mcrt=newlib -DUSE_C -DSIM_BIG_ENDIAN -gstabs+
+  CFLAGS += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 else
 # BeOS (obsolete)
@@ -29,12 +28,19 @@
   else
     ifneq ($(findstring $(OSTYPE), cygwin mingw),)
       ifeq ($(OSTYPE),cygwin)
-        CFLAGS  += -I/usr/include/mingw -mwin32
+        CFLAGS += -I/usr/include/mingw -mwin32
       else
         ifeq ($(OSTYPE),mingw)
           CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
-          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,--large-address-aware
-          LIBS    += -lmingw32
+          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,-Bstatic -lpthread -lbz2 -lz -Wl,-Bdynamic -Wl,--large-address-aware
+          ifneq ($(STATIC),)
+            ifeq ($(shell expr $(STATIC) \>= 1), 1)
+              CFLAGS  += -static
+              LDFLAGS += -Wl,-Bstatic -lbz2 -Wl,-Bdynamic
+							# other libs like SDL2 MUST be dynamic!
+            endif
+          endif
+          LIBS += -lmingw32
         endif
       endif
       SOURCES += simsys_w32_png.cc
@@ -65,7 +71,10 @@
   SOURCES += clipboard_internal.cc
 endif
 
-LIBS += -lbz2 -lz
+ifneq ($(OSTYPE),mingw)
+	# already defined
+	LIBS += -lbz2 -lz
+endif
 
 ALLEGRO_CONFIG ?= allegro-config
 SDL_CONFIG     ?= sdl-config
@@ -74,15 +83,18 @@
 ifneq ($(OPTIMISE),)
   CFLAGS += -O3
   ifeq ($(findstring $(OSTYPE), amiga),)
-	ifneq ($(findstring $(CXX), clang),)
-		CFLAGS += -minline-all-stringops
-	endif
+    ifneq ($(findstring $(CXX), clang),)
+      CFLAGS += -minline-all-stringops
+    endif
   endif
 else
   CFLAGS += -O
 endif
 
 ifdef DEBUG
+	ifndef MSG_LEVEL
+		MSG_LEVEL = 3
+	endif
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
     CFLAGS += -g -DDEBUG
   endif
@@ -98,6 +110,10 @@
   endif
 else
   CFLAGS += -DNDEBUG
+endif
+
+ifdef MSG_LEVEL
+	CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
 endif
 
 ifneq ($(PROFILE),)
@@ -111,13 +127,8 @@
 ifneq ($(MULTI_THREAD),)
   ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
     CFLAGS += -DMULTI_THREAD
-    ifeq ($(OSTYPE),mingw)
-#use lpthreadGC2d for debug alternatively
-      LDFLAGS += -lpthreadGC2
-    else
-      ifneq ($(OSTYPE),haiku)
-        LDFLAGS += -lpthread
-      endif
+    ifneq ($(OSTYPE),haiku)
+      LDFLAGS += -lpthread
     endif
   endif
 endif
@@ -136,7 +147,7 @@
 endif
 
 CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
-CCFLAGS  += -Wstrict-prototypes
+CCFLAGS  += -ansi -Wstrict-prototypes -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 
 
 SOURCES += bauer/brueckenbauer.cc
@@ -144,44 +155,44 @@
 SOURCES += bauer/hausbauer.cc
 SOURCES += bauer/tunnelbauer.cc
 SOURCES += bauer/vehikelbauer.cc
-SOURCES += bauer/warenbauer.cc
+SOURCES += bauer/goods_manager.cc
 SOURCES += bauer/wegbauer.cc
-SOURCES += besch/bild_besch.cc
-SOURCES += besch/bruecke_besch.cc
-SOURCES += besch/fabrik_besch.cc
-SOURCES += besch/grund_besch.cc
-SOURCES += besch/haus_besch.cc
-SOURCES += besch/obj_besch_std_name.cc
-SOURCES += besch/reader/bridge_reader.cc
-SOURCES += besch/reader/building_reader.cc
-SOURCES += besch/reader/citycar_reader.cc
-SOURCES += besch/reader/crossing_reader.cc
-SOURCES += besch/reader/factory_reader.cc
-SOURCES += besch/reader/good_reader.cc
-SOURCES += besch/reader/ground_reader.cc
-SOURCES += besch/reader/groundobj_reader.cc
-SOURCES += besch/reader/image_reader.cc
-SOURCES += besch/reader/imagelist2d_reader.cc
-SOURCES += besch/reader/imagelist_reader.cc
-SOURCES += besch/reader/obj_reader.cc
-SOURCES += besch/reader/pedestrian_reader.cc
-SOURCES += besch/reader/roadsign_reader.cc
-SOURCES += besch/reader/root_reader.cc
-SOURCES += besch/reader/sim_reader.cc
-SOURCES += besch/reader/skin_reader.cc
-SOURCES += besch/reader/sound_reader.cc
-SOURCES += besch/reader/text_reader.cc
-SOURCES += besch/reader/tree_reader.cc
-SOURCES += besch/reader/tunnel_reader.cc
-SOURCES += besch/reader/vehicle_reader.cc
-SOURCES += besch/reader/way_obj_reader.cc
-SOURCES += besch/reader/way_reader.cc
-SOURCES += besch/reader/xref_reader.cc
-SOURCES += besch/sound_besch.cc
-SOURCES += besch/tunnel_besch.cc
-SOURCES += besch/vehikel_besch.cc
-SOURCES += besch/ware_besch.cc
-SOURCES += besch/weg_besch.cc
+SOURCES += descriptor/image.cc
+SOURCES += descriptor/bridge_desc.cc
+SOURCES += descriptor/factory_desc.cc
+SOURCES += descriptor/ground_desc.cc
+SOURCES += descriptor/building_desc.cc
+SOURCES += descriptor/obj_base_desc.cc
+SOURCES += descriptor/reader/bridge_reader.cc
+SOURCES += descriptor/reader/building_reader.cc
+SOURCES += descriptor/reader/citycar_reader.cc
+SOURCES += descriptor/reader/crossing_reader.cc
+SOURCES += descriptor/reader/factory_reader.cc
+SOURCES += descriptor/reader/good_reader.cc
+SOURCES += descriptor/reader/ground_reader.cc
+SOURCES += descriptor/reader/groundobj_reader.cc
+SOURCES += descriptor/reader/image_reader.cc
+SOURCES += descriptor/reader/imagelist2d_reader.cc
+SOURCES += descriptor/reader/imagelist_reader.cc
+SOURCES += descriptor/reader/obj_reader.cc
+SOURCES += descriptor/reader/pedestrian_reader.cc
+SOURCES += descriptor/reader/roadsign_reader.cc
+SOURCES += descriptor/reader/root_reader.cc
+SOURCES += descriptor/reader/sim_reader.cc
+SOURCES += descriptor/reader/skin_reader.cc
+SOURCES += descriptor/reader/sound_reader.cc
+SOURCES += descriptor/reader/text_reader.cc
+SOURCES += descriptor/reader/tree_reader.cc
+SOURCES += descriptor/reader/tunnel_reader.cc
+SOURCES += descriptor/reader/vehicle_reader.cc
+SOURCES += descriptor/reader/way_obj_reader.cc
+SOURCES += descriptor/reader/way_reader.cc
+SOURCES += descriptor/reader/xref_reader.cc
+SOURCES += descriptor/sound_desc.cc
+SOURCES += descriptor/tunnel_desc.cc
+SOURCES += descriptor/vehicle_desc.cc
+SOURCES += descriptor/goods_desc.cc
+SOURCES += descriptor/way_desc.cc
 SOURCES += boden/boden.cc
 SOURCES += boden/brueckenboden.cc
 SOURCES += boden/fundament.cc
@@ -200,9 +211,9 @@
 SOURCES += dataobj/crossing_logic.cc
 SOURCES += dataobj/objlist.cc
 SOURCES += dataobj/settings.cc
-SOURCES += dataobj/fahrplan.cc
 SOURCES += dataobj/freelist.cc
 SOURCES += dataobj/gameinfo.cc
+SOURCES += dataobj/height_map_loader.cc
 SOURCES += dataobj/koord.cc
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
@@ -212,10 +223,10 @@
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
 SOURCES += dataobj/scenario.cc
+SOURCES += dataobj/schedule.cc
 SOURCES += dataobj/tabfile.cc
 SOURCES += dataobj/translator.cc
 SOURCES += dataobj/environment.cc
-SOURCES += dataobj/warenziel.cc
 SOURCES += obj/baum.cc
 SOURCES += obj/bruecke.cc
 SOURCES += obj/crossing.cc
@@ -237,6 +248,7 @@
 SOURCES += display/viewport.cc
 SOURCES += freight_list_sorter.cc
 SOURCES += gui/ai_option_t.cc
+SOURCES += gui/ai_selector.cc
 SOURCES += gui/banner.cc
 SOURCES += gui/baum_edit.cc
 SOURCES += gui/base_info.cc
@@ -283,7 +295,6 @@
 SOURCES += gui/factory_edit.cc
 SOURCES += gui/factorylist_frame_t.cc
 SOURCES += gui/factorylist_stats_t.cc
-SOURCES += gui/fahrplan_gui.cc
 SOURCES += gui/goods_frame_t.cc
 SOURCES += gui/goods_stats_t.cc
 SOURCES += gui/ground_info.cc
@@ -319,6 +330,7 @@
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/scenario_info.cc
+SOURCES += gui/schedule_gui.cc
 SOURCES += gui/schedule_list.cc
 SOURCES += gui/server_frame.cc
 SOURCES += gui/settings_frame.cc
@@ -351,13 +363,16 @@
 SOURCES += player/ai.cc
 SOURCES += player/ai_goods.cc
 SOURCES += player/ai_passenger.cc
+SOURCES += player/ai_scripted.cc
 SOURCES += player/finance.cc
 SOURCES += player/simplay.cc
 SOURCES += script/api_class.cc
 SOURCES += script/api_function.cc
 SOURCES += script/api_param.cc
 SOURCES += script/api/api_city.cc
+SOURCES += script/api/api_command.cc
 SOURCES += script/api/api_const.cc
+SOURCES += script/api/api_control.cc
 SOURCES += script/api/api_convoy.cc
 SOURCES += script/api/api_gui.cc
 SOURCES += script/api/api_factory.cc
@@ -371,21 +386,3 @@
 SOURCES += script/api/api_scenario.cc
 SOURCES += script/api/api_schedule.cc
 SOURCES += script/api/api_settings.cc
-SOURCES += script/api/api_simple.cc
-SOURCES += script/api/api_tiles.cc
-SOURCES += script/api/api_world.cc
-SOURCES += script/api/export_besch.cc
-SOURCES += script/api/get_next.cc
-SOURCES += script/dynamic_string.cc
-SOURCES += script/export_objs.cc
-SOURCES += script/script.cc
-SOURCES += squirrel/sq_extensions.cc
-SOURCES += squirrel/squirrel/sqapi.cc
-SOURCES += squirrel/squirrel/sqclass.cc
-SOURCES += squirrel/squirrel/sqdebug.cc
-SOURCES += squirrel/squirrel/sqlexer.cc
-SOURCES += squirrel/squirrel/sqobject.cc
-SOURCES += squirrel/squirrel/sqtable.cc
-SOURCES += squirrel/squirrel/sqbaselib.cc
-SOURCES += squirrel/squirrel/sqcompiler.cc
-SOURCES += squirrel/squirrel/sqfuncstate.cc
