=== debian/changelog ===
simutrans (120.2.2-3ubuntu1) bionic; urgency=medium

  * Build with -O1 on armhf, to work around a build failure due to a
    toolchain bug.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Mar 2018 22:30:11 -0700

simutrans (120.2.2-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/rules (Closes: #870770):
    - Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
      Thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/copyright:
    - Add Markus Koschany to debian/*.
    - Change to my new email address.
  * debian/control:
    - Change to my new email address.
    - Bump Build-Depends of debhelper to 11.
    - Change priority to optional.
  * debian/compat:
    - Bump compat level to 11.
  * debian/makeobj.6:
    - Correct typo.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).
  * New *.lintian-overrides to override the "spelling-error-in-copyright"
    warning.
  * Refresh patches/0005-typo.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 01 Jan 2018 14:54:37 +0100

simutrans (120.2.2-2) unstable; urgency=medium

  * Team upload.
  * Update 0500-config.diff. Use sdl_config instead of sdl2_config.
    This will enable the MIDI music again. Thanks to Julius Andrikonis for the
    report. (Closes: #869029)

 -- Markus Koschany <apo@debian.org>  Tue, 01 Aug 2017 00:30:13 +0200

simutrans (120.2.2-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Refresh patches:
      + 0005-typo.patch
      + 0100-path_for_game-data.patch
      + 0105-revert-svn-1937.diff
      + 0500-config.diff
      + reproducible-build.patch
    - Remove useless patch sha1.patch.
    - Remove now useless get-orig-source from debian/rules
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 25 Jun 2017 15:41:41 +0200

simutrans (120.1.3+repack-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/rules:
    - Add -std=gnu++11 to CXXFLAGS to prevent FTBFS on some architectures.
    - Remove useless -lssl -lcrypto from LDFLAGS
  * debian/control:
    - Remove useless libssl-dev from Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 17 Nov 2016 11:03:50 +0100

simutrans (120.1.3+repack-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.
  * Drop 0110-sha1-replacement.diff.
    We don't need this patch because the original sha1 implementation from Paul
    E.Jones is free software.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730758 for a
    clarification.
  * Add sha1.patch.
    This is the original upstream version. It is free software. Add a
    clarification to debian/copyright. This also fixes the FTBFS with OpenSSL
    1.1.0. (Closes: #828545)
  * Fix installation path of makeobj and sim binary file.
  * debian/clean: Ensure that the package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Thu, 10 Nov 2016 23:28:04 +0100
