=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: simutrans
 Section: games
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
- Jörg Frings-Fürst <debian@jff-webhosting.net>
+ Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libbz2-dev,
  libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
- libssl-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git
