=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,26 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH), armhf)
+export DEB_BUILD_OPTIONS = noopt
+export DEB_CFLAGS_MAINT_APPEND = -O1
+endif
+
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CCFLAGS  = $(CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
-export CXXFLAGS += -D_FORTIFY_SOURCE=2
+export CXXFLAGS += -D_FORTIFY_SOURCE=2 -std=gnu++11
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-export LDFLAGS += -lssl -lcrypto
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C makeobj
+	dh_auto_build --sourcedirectory=makeobj
 
 override_dh_auto_clean:
 	dh_quilt_patch
@@ -32,7 +38,7 @@
 
 override_dh_install-arch:
 	dh_install
-	install -m 755 build/default/sim $(CURDIR)/debian/simutrans/usr/games/simutrans
+	install -m 755 sim $(CURDIR)/debian/simutrans/usr/games/simutrans
 
 override_dh_install-indep:
 	dh_install
@@ -46,6 +52,3 @@
 	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
 	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
 	$(RM) language_pack-Base+texts.zip
-
-get-orig-source:
-	uscan --verbose --download-current-version --force-download --repack
