## simutrans 120.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,21 @@
 CFG ?= default
 -include config.$(CFG)
 
-BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl posix
+HOSTCC?=$(CC)
+HOSTCXX?=$(CXX)
+
+PROFILE ?= 0
+STATIC ?= 0
+AV_FOUNDATION ?= 0
+
+ALLEGRO_CONFIG ?= allegro-config
+SDL_CONFIG ?= sdl-config
+SDL2_CONFIG ?= sdl2-config
+FREETYPE_CONFIG ?= freetype-config
+
+BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl mixer_sdl2 posix
 COLOUR_DEPTHS = 0 16
-OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
+OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -22,33 +34,25 @@
   CFLAGS += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 else
-# BeOS (obsolete)
+  # BeOS (obsolete)
   ifeq ($(OSTYPE),beos)
     LIBS += -lnet
   else
-    ifneq ($(findstring $(OSTYPE), cygwin mingw),)
-      ifeq ($(OSTYPE),cygwin)
-        CFLAGS += -I/usr/include/mingw -mwin32
-      else
-        ifeq ($(OSTYPE),mingw)
-          CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
-          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,-Bstatic -lpthread -lbz2 -lz -Wl,-Bdynamic -Wl,--large-address-aware
-          ifneq ($(STATIC),)
-            ifeq ($(shell expr $(STATIC) \>= 1), 1)
-              CFLAGS  += -static
-              LDFLAGS += -Wl,-Bstatic -lbz2 -Wl,-Bdynamic
-							# other libs like SDL2 MUST be dynamic!
-            endif
-          endif
-          LIBS += -lmingw32
-        endif
-      endif
+    ifeq ($(OSTYPE),mingw)
+      CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        CFLAGS  += -static
+        LDFLAGS += -static-libgcc -static-libstdc++ -static
+      endif
+      LDFLAGS += -pthread -Wl,--large-address-aware
       SOURCES += simsys_w32_png.cc
       CFLAGS  += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
-      LIBS    += -lgdi32 -lwinmm -lws2_32 -limm32
+      LIBS    += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32
       # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
-      ifneq ($(WIN32_CONSOLE),)
-        LDFLAGS += -mconsole
+      ifdef WIN32_CONSOLE
+        ifeq ($(shell expr $(WIN32_CONSOLE) \>= 1), 1)
+          LDFLAGS += -mconsole
+        endif
       else
         ifeq ($(BACKEND),posix)
           LDFLAGS += -mconsole
@@ -57,7 +61,7 @@
         endif
       endif
     else
-# Haiku (needs to activate the GCC 4x)
+      # Haiku (needs to activate the GCC 4x)
       ifeq ($(OSTYPE),haiku)
         LIBS += -lnetwork -lbe
       endif
@@ -71,20 +75,15 @@
   SOURCES += clipboard_internal.cc
 endif
 
-ifneq ($(OSTYPE),mingw)
-	# already defined
-	LIBS += -lbz2 -lz
-endif
-
-ALLEGRO_CONFIG ?= allegro-config
-SDL_CONFIG     ?= sdl-config
-SDL2_CONFIG    ?= sdl2-config
-
-ifneq ($(OPTIMISE),)
-  CFLAGS += -O3
-  ifeq ($(findstring $(OSTYPE), amiga),)
-    ifneq ($(findstring $(CXX), clang),)
-      CFLAGS += -minline-all-stringops
+LIBS += -lbz2 -lz
+
+ifdef OPTIMISE
+  ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
+    CFLAGS += -O3
+    ifeq ($(findstring $(OSTYPE), amiga),)
+      ifneq ($(findstring $(CXX), clang),)
+        CFLAGS += -minline-all-stringops
+      endif
     endif
   endif
 else
@@ -92,19 +91,19 @@
 endif
 
 ifdef DEBUG
-	ifndef MSG_LEVEL
-		MSG_LEVEL = 3
-	endif
+  ifndef MSG_LEVEL
+    MSG_LEVEL = 3
+  endif
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
     CFLAGS += -g -DDEBUG
   endif
   ifeq ($(shell expr $(DEBUG) \>= 2), 1)
-    ifneq ($(PROFILE), 2)
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
       CFLAGS += -fno-inline
     endif
   endif
   ifeq ($(shell expr $(DEBUG) \>= 3), 1)
-    ifneq ($(PROFILE), 2)
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
       CFLAGS += -O0
     endif
   endif
@@ -113,27 +112,68 @@
 endif
 
 ifdef MSG_LEVEL
-	CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
-endif
-
-ifneq ($(PROFILE),)
+  CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
+endif
+
+ifdef USE_FREETYPE
+  ifeq ($(shell expr $(USE_FREETYPE) \>= 1), 1)
+    CFLAGS  += -DUSE_FREETYPE
+    ifneq ($(FREETYPE_CONFIG),)
+      CFLAGS  += $(shell $(FREETYPE_CONFIG) --cflags)
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs --static)
+      else
+        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs)
+      endif
+    else
+      LDFLAGS += -lfreetype
+      ifeq ($(OSTYPE),mingw)
+        LDFLAGS += -lpng -lharfbuzz -lgraphite2
+      endif
+    endif
+    ifeq ($(OSTYPE),mingw)
+      LDFLAGS += -lfreetype
+    endif
+  endif
+endif
+
+ifdef USE_UPNP
+  ifeq ($(shell expr $(USE_UPNP) \>= 1), 1)
+    CFLAGS  += -DUSE_UPNP
+    LDFLAGS += -lminiupnpc
+    ifeq ($(OSTYPE),mingw)
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += -Wl,-Bdynamic
+      endif
+      LDFLAGS += -liphlpapi
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += -Wl,-Bstatic
+      endif
+    endif
+  endif
+endif
+
+ifeq ($(shell expr $(PROFILE) \>= 1), 1)
   CFLAGS  += -pg -DPROFILE
-  ifneq ($(PROFILE), 2)
+  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
     CFLAGS  += -fno-inline -fno-schedule-insns
   endif
   LDFLAGS += -pg
 endif
 
-ifneq ($(MULTI_THREAD),)
+ifdef MULTI_THREAD
   ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
     CFLAGS += -DMULTI_THREAD
     ifneq ($(OSTYPE),haiku)
-      LDFLAGS += -lpthread
-    endif
-  endif
-endif
-
-ifneq ($(WITH_REVISION),)
+      # mingw has already added pthread statically
+      ifneq ($(OSTYPE),mingw)
+        LDFLAGS += -lpthread
+      endif
+    endif
+  endif
+endif
+
+ifdef WITH_REVISION
   ifeq ($(shell expr $(WITH_REVISION) \>= 1), 1)
     ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
       REV = $(WITH_REVISION)
@@ -315,6 +355,7 @@
 SOURCES += gui/line_item.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
+SOURCES += gui/loadfont_frame.cc
 SOURCES += gui/loadsave_frame.cc
 SOURCES += gui/map_frame.cc
 SOURCES += gui/message_frame_t.cc
@@ -358,31 +399,3 @@
 SOURCES += network/network_packet.cc
 SOURCES += network/network_socket_list.cc
 SOURCES += network/pakset_info.cc
-SOURCES += network/pwd_hash.cc
-SOURCES += old_blockmanager.cc
-SOURCES += player/ai.cc
-SOURCES += player/ai_goods.cc
-SOURCES += player/ai_passenger.cc
-SOURCES += player/ai_scripted.cc
-SOURCES += player/finance.cc
-SOURCES += player/simplay.cc
-SOURCES += script/api_class.cc
-SOURCES += script/api_function.cc
-SOURCES += script/api_param.cc
-SOURCES += script/api/api_city.cc
-SOURCES += script/api/api_command.cc
-SOURCES += script/api/api_const.cc
-SOURCES += script/api/api_control.cc
-SOURCES += script/api/api_convoy.cc
-SOURCES += script/api/api_gui.cc
-SOURCES += script/api/api_factory.cc
-SOURCES += script/api/api_halt.cc
-SOURCES += script/api/api_include.cc
-SOURCES += script/api/api_line.cc
-SOURCES += script/api/api_map_objects.cc
-SOURCES += script/api/api_obj_desc.cc
-SOURCES += script/api/api_obj_desc_base.cc
-SOURCES += script/api/api_player.cc
-SOURCES += script/api/api_scenario.cc
-SOURCES += script/api/api_schedule.cc
-SOURCES += script/api/api_settings.cc
