=== debian/changelog ===
simutrans (120.3-1ubuntu1) cosmic; urgency=medium

  * to back to an arch:any package again, armhf seems to build fine now.
    - thanks <vorlon> and <infinity> for the help

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jul 2018 11:54:48 +0200

simutrans (120.3-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * New debian/patches/0110-path_max.patch:
    - Define PATH_MAX if not defined.
  * debian/copyright:
    - Use secure copyright format URI.
  * debian/control:
    - Remove armhf from architectures.
    - Move Vcs-* to salsa.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Jul 2018 12:47:47 +0200
