=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: simutrans
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
@@ -14,10 +13,10 @@
  libsdl-mixer1.2-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.simutrans.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git
+Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
+Vcs-Browser: https://salsa.debian.org/games-team/simutrans
 
 Package: simutrans
 Architecture: any
